Difference between revisions of "ZimletDevSetup"

(Adding category)
Line 1: Line 1:
 +
 +
== '''Zimlet Development Via Zimbra Desktop''' ==
 +
 +
 +
 +
== '''Zimlet Development by manually building ZCS Environment''' ==
 +
 
* You'll need [http://www.zimbra.com ZCS] 3.0 or later, either Network or Open Source Edition.
 
* You'll need [http://www.zimbra.com ZCS] 3.0 or later, either Network or Open Source Edition.
 
* [http://java.sun.com/j2se/1.5.0/download.jsp JDK 5]
 
* [http://java.sun.com/j2se/1.5.0/download.jsp JDK 5]

Revision as of 17:58, 10 March 2009

Zimlet Development Via Zimbra Desktop

Zimlet Development by manually building ZCS Environment

  • You'll need ZCS 3.0 or later, either Network or Open Source Edition.
  • JDK 5
  • Eclipse or other editors you are familiar with.
  • Apache Ant for building example Zimlets bundled with ZCS source code. You can use the existing build.xml and just add your own zimlet for easy building and deployment.
  • zip / unzip utility. Most Linux distributions come with /usr/bin/zip and /usr/bin/unzip. Windows XP has a built-in support for zip, but you can also use open source zip utilities like 7-Zip.
Jump to: navigation, search